<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { createWidget } from '@typeform/embed';
import { getPageMetadata } from '~/common/meta';
import '@typeform/embed/build/css/widget.css';

import NextStepAlt from '@/components/common/next-step-alt.vue';
import SolutionsHero from '@/components/solutions/hero.vue';

export default Vue.extend({
  name: 'DevOpsAccessment',
  components: {
    NextStepAlt,
    SolutionsHero,
  },
  nuxtI18n: false,
  async asyncData({ $content }: any) {
    try {
      const data = await $content('en-us/devsecops-assessment').fetch();
      return { data };
    } catch (e) {
      throw new Error(e);
    }
  },
  data() {
    return {
      formId: 'jH6cigb7',
    };
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).data, this.$route.path);
  },
  mounted(): void {
    createWidget(this.formId, {
      container: document.getElementById('my-typeform'),
    });
  },
});
</script>

<template>
  <div>
    <SolutionsHero v-bind="data.hero" />
    <SlpContainer>
      <SlpRow>
        <SlpTypography class="slp-mb-16" tag="h4" variant="heading4-bold">
          {{ data.assessment_title }}
        </SlpTypography>
        <div id="my-typeform" class="typeform-container" />
      </SlpRow>
    </SlpContainer>
    <NextStepAlt />
  </div>
</template>

<style lang="scss" scoped>
.typeform-container {
  width: 100%;
  height: 750px;
}

.tf-v1-widget iframe {
  border-radius: 8px 8px 40px 8px;
}
</style>
